<template>
  <div id="app">
    <deu-header
      :project="project"
      :useLanguageSelector="useLanguageSelector"
      :showSparql="showSparql"
      use-breadcrumbs
      use-breadcrumbs-route-meta
      :breadcrumbs="[{
        text: 'Home',
        to: { name: 'home' },
      }, {
        text: 'About',
        to: { name: 'about' },
      }, {
        text: 'Contact',
        to: { name: 'contact' },
      }]"
      enable-authentication
      :authenticated="authenticated"
      @login="onLogin"
      @logout="onLogout"
    />
    <router-view
      :authenticated="authenticated"
      :useLanguageSelector="useLanguageSelector"
      :project="project"
      @changeAuth="setAuth"
      @changeLS="setLS"
      @changeProj="setProj"
    />
    <deu-footer
      :authenticated="authenticated"
      use-login="true"
      login="/login"
      login-title="Login"
      logout="/logout"
      logout-title="Logout"
      @click-follow-link="onClick"
      enable-authentication
      @login="onLogin"
      @logout="onLogout"
    >
        hello world
    </deu-footer>
  </div>
</template>

<script>
export default {
  name: 'App',
  data() {
    return {
      authenticated: false,
      project: 'hub',
      useLanguageSelector: true,
      showSparql: true,
    };
  },
  methods: {
    onClick(evt) {
      console.info(evt);
    },
    onLogin() {
      this.authenticated = true;
    },
    onLogout() {
      this.authenticated = false;
    },
    setAuth(auth) {
      this.authenticated = auth;
    },
    setLS(ls) {
      this.useLanguageSelector = ls;
    },
    setProj(proj) {
      this.project = proj;
    },
  },
};
</script>

<style>

</style>
